Package org.apache.sysds.hops.fedplanner

## Class FederatedPlannerFedAll

- java.lang.Object
- - org.apache.sysds.hops.fedplanner.AFederatedPlanner
  - - org.apache.sysds.hops.fedplanner.FederatedPlannerFedAll

Direct Known Subclasses:
  `FederatedPlannerFedHeuristic`

    public class FederatedPlannerFedAll
    extends AFederatedPlanner

Baseline federated planner that compiles all hops that support federated execution on federated inputs to forced federated operations.

### Constructor Summary

Constructors
`FederatedPlannerFedAll()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `rewriteProgram​(DMLProgram prog, FunctionCallGraph fgraph, FunctionCallSizeInfo fcallSizes)` Selects a federated execution plan for the given program by setting the forced execution type.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FederatedPlannerFedAll

    public FederatedPlannerFedAll()

### Method Detail

#### rewriteProgram

    public void rewriteProgram​(DMLProgram prog,
                               FunctionCallGraph fgraph,
                               FunctionCallSizeInfo fcallSizes)

Description copied from class: `AFederatedPlanner`
Selects a federated execution plan for the given program by setting the forced execution type.

Specified by:
  `rewriteProgram` in class `AFederatedPlanner`
Parameters:
  `prog` - dml program
  `fgraph` - function call graph
  `fcallSizes` - function call graph sizes